#include<bits/stdc++.h>
using namespace std;
int n,m,maks,pocetaki[5000],brp,pocetakj[5000],suma,kraji[5000],krajj[5000],suma1,bri[5000],brj[5000],minsuma;
 int mp[1505];
int main(){
cin>>n>>m;

for(int i=1;i<=n;i++){
        cin>>mp[i];
        suma1+=mp[i];
}

for(int i=1;i<=n;i++){
        maks=min(maks,mp[i]);
}
for(int i=1;i<=n;i++){
    for(int j=1;j<m;j++){
        mp[i]=mp[i]^maks;
    }
}
for(int i=1;i<=n;i++){
        suma+=mp[i];
}
minsuma=min(suma,suma1);

cout<<minsuma<<endl;
return 0;
}